Sid les dernières mises à jours veulent supprimer Xsane et digikam

Le
MERLIN Philippe
Bonjour,
Mon installation est une Debian Sid AMD64 depuis plusieurs jours les derni=
ères
mises à jours veulent supprimer des logiciels importants comme xsane ,=
digikam
et hplip , ce qui me fait refuser ces dernières. Es ce que vous savez =
ce qui
cause ce problème et si possible dans combien de temps cela va êt=
re corrigé ?
Philippe Merlin
  • Partager ce contenu :
Vos réponses
Trier par : date / pertinence
fremoin
Le #26498447
Bonjour,
Le 23/11/2018 à 21:14, MERLIN Philippe a écrit :
Bonjour,
Mon installation est une Debian Sid AMD64 depuis plusieurs jours

Semaines, pour moi...
les dernières
mises à jours veulent supprimer des logiciels importants comme xsane , digikam

et toute une flopée de kde
et hplip , ce qui me fait refuser ces dernières.

pour xsane et hplip, j'ai passé l'épreuve mais ne sais plus trop
comment... Je suppose en enlevant le paquet bloquant pour le remettre
ensuite (ce qui en dit long sur ma compréhension de la chose).
En revanche... les mises à jour du jour ont l'air de moins casser qu'avant.
Es ce que vous savez ce qui
cause ce problème et si possible dans combien de temps cela va être corrigé ?
Philippe Merlin

Donc, je n'aide pas vraiment, mais on se sent moins seul :)
Bonne journée,
Frédédic
Haricophile
Le #26499456
Le Fri, 23 Nov 2018 18:14:30 +0100,
MERLIN Philippe
Bonjour,
Mon installation est une Debian Sid AMD64 depuis plusieurs jours les
dernières mises à jours veulent supprimer des logiciels importa nts comme
xsane , digikam et hplip , ce qui me fait refuser ces dernières. Es ce que
vous savez ce qui cause ce problème et si possible dans combien de t emps cela
va être corrigé ? Philippe Merlin

Si on se pose ce genre de question sous SID il vaudrait peut-être mieu x penser
à utiliser autre chose.
- Dans les versions de développement, que ce soit SID ou Testing il fa ut
toujours faire les mises a jour de manière "sure" (safe-upgrade avec a ptitude)
et vérifier les problème de dépendances paquet par paquet av ant de faire une
mise a jour de manière forcée (full-upgrade avec aptitude). Si SI D est beaucoup
plus dynamique que Testing il faut quand même de temps en temps avoir de la
patience.
- De même il faut consulter les listes de bugs.
- Pour compléter, ne pas trop faire confiance aux meta-paquets dans SI D. Il
peut y avoir a supprimer l'attribut "installé automatiquement" sur ce rtains
paquets (unmarkauto avec aptitude).
Bref, si on n'est pas a l'aise avec la gestion des paquets et de leur
dépendance, avoir SID en version de production n'est pas franchement
recommandé. Ça ne l'est d'ailleurs jamais dans la doc de Debian ;)
Florent BAYLE
Le #26501705
On vendredi 23 novembre 2018 18 h 14 min 30 s CET, MERLIN Philippe wrote:
Bonjour,
Mon installation est une Debian Sid AMD64 depuis plusieurs
jours les dernières
mises à jours veulent supprimer des logiciels importants comme
xsane , digikam
et hplip , ce qui me fait refuser ces dernières. Es ce que vous
savez ce qui
cause ce problème et si possible dans combien de temps cela va
être corrigé ?

Bonjour,
Il y a eu pas mal d'activité autour de libsane/libsane1.
Si tu as toujours le problème, tu peux essayer la commande suivante :
apt-get install libsane libsane1-
qui permet d'installer libsane, tout en désinstallant libsane1, ce qui
devrait te permettre de mettre à jour libsane-common au passage.
--
Florent
Poster une réponse
Anonyme